I upgraded WordPress to v2.5.1 – now will it work with BlogIT?

Print Friendly, PDF & Email

If you can read this – it worked!

Leave a Reply

Your email address will not be published.